ApplicationTemplate (CMDB Model API)
Keywords: com.collation.platform.model.discovery.template.ApplicationTemplate interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.template
Interface ApplicationTemplate

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface ApplicationTemplate

extends ModelObject

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  APPTEMP
Display Name:
  name

Method Summary
`TemplateGroup[]` | `getMemberSet()` Return the membership set
`java.lang.String` | `getName()` Get the name of this template
`boolean` | `hasMemberSet()`
`boolean` | `hasName()`
`void` | `setMemberSet(TemplateGroup[] set)` Set the membership Set
`void` | `setName(java.lang.String Name)` Set the Name of this template

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Get the name of this template

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String Name)

  Set the Name of this template

  Parameters:
    `Name` -

### hasName

    boolean hasName()

### getMemberSet

    TemplateGroup[] getMemberSet()
                                 throws AttributeNotSetException

  Return the membership set

  Returns:
    TemplateGroup
  Throws:
    `AttributeNotSetException`
  Table Name:
    APPTEMPLATE_MEMBERSET

### setMemberSet

    void setMemberSet(TemplateGroup[] set)

  Set the membership Set

  Parameters:
    `Template[]` -

### hasMemberSet

    boolean hasMemberSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD